Crypto Manager Host KMS Remove Keys

Crypto Manager Host KMS Remove Keys
Remove multiple keys (only the UUID is needed to remove).

Remove multiple keys (only the UUID is needed to remove).

If "force" is set, removal will happen even if they are in use.

Required privileges: Cryptographer.ManageKeys

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/RemoveKeys
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case CryptoManagerHostKMS/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RemoveKeysRequestType of type(s) application/json
Required

Show optional properties

{
    "force": false
}
{
    "keys": [
        {
            "_typeName": "string",
            "keyId": "string",
            "providerId": {
                "_typeName": "string",
                "id": "string"
            }
        }
    ],
    "force": false
}
array of object
keys
Optional

[in] List of keys to remove.

boolean
force
Required

[in] Remove the key even if in use. Always successful.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "keyId": {
            "_typeName": "string",
            "keyId": "string",
            "providerId": {
                "_typeName": "string",
                "id": "string"
            }
        },
        "success": false,
        "reason": "string",
        "fault": {
            "_typeName": "string",
            "faultCause": {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            },
            "faultMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        }
    }
]
array of object
Optional

CryptoKeyResult.java -- Data Object representing a cryptographic key operation result.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"force":"boolean"}' https://{api_host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/RemoveKeys